# [BETA] List networks

```http
GET /compute/v1/tenants/{tenantId}/vpc/{vpcId}/networks
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListNetworks`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:networks`

Returns a paginated list of networks within a VPC

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `vpcId` (string, required) — VPC ID

### Query parameters

- `page` (integer, default: `1`) — Page number
- `pageSize` (integer, default: `20`) — Page size

## Responses

### 200 — OK

Content type: `application/json`

- `items` (array of object)
  - items (object)
    - `cidr` (string)
    - `createdAt` (string)
    - `gateway` (string)
    - `id` (string)
    - `name` (string)
    - `netmask` (string)
    - `vpcId` (string)
- `page` (integer)
- `pageSize` (integer)
- `totalCount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
